This project has moved. For the latest updates, please go here.

Can't install NuGet package in a Windows Phone 8 project

Jan 6, 2013 at 3:09 PM
Edited Jan 9, 2013 at 6:20 PM

If I try to install the NuGet package in a WP8 project, the installation fails with the following error:

Could not install package 'Nito.AsyncEx.DataflowProxy 1.0.0'. You are trying to install this package into a project that targets 'WindowsPhone,Version=v8.0', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

The problem seems to be caused by the Nito.AsyncEx.DataflowProxy dependency although DataFlow is not supported for this platform therefore the dependency shouldn't be required at all.

Coordinator
Jan 7, 2013 at 3:45 AM
Edited Jan 7, 2013 at 3:46 AM

Sorry about that!

It should work now (as of Nito.AsyncEx.DataflowProxy 1.0.1).

       -Steve

Jan 9, 2013 at 6:19 PM
Edited Jan 9, 2013 at 6:19 PM

It does work. Thanks for the quick response time.